﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockManagerTesting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            dockManager.LoadLayout("<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<xamDockManager version=\"11.2.20112.1012\">\n  <contentPanes>\n    <contentPane name=\"cpDataGrid\" location=\"Document\" lastDockableState=\"Floating\" lastFloatingSize=\"1422,195.5\" lastFloatingWindowRect=\"582,199,1438,292\" lastFloatingLocation=\"582,235.5\" lastActivatedTime=\"2012-05-18T14:56:04.4809532Z\" />\n    <contentPane name=\"cpAnalysisGrid\" location=\"Document\" lastDockableState=\"Floating\" lastFloatingSize=\"1422,16.5\" lastFloatingWindowRect=\"481,450,1438,113\" lastFloatingLocation=\"481,486.5\" lastActivatedTime=\"2012-05-18T14:54:53.6395769Z\" />\n    <contentPane name=\"cpSites\" location=\"Document\" lastActivatedTime=\"2012-05-18T14:54:12.1296542Z\" />\n    <contentPane name=\"cpIssues\" location=\"Document\" lastDockableState=\"Floating\" lastFloatingSize=\"1422,76.5\" lastFloatingWindowRect=\"450,73,1438,173\" lastFloatingLocation=\"450,109.5\" lastActivatedTime=\"2012-05-18T14:54:04.2231926Z\" />\n    <contentPane name=\"cpAnalysisCharts\" location=\"Document\" lastDockableState=\"Floating\" lastFloatingSize=\"1422,282.5\" lastFloatingWindowRect=\"291,466,1438,379\" lastFloatingLocation=\"291,502.5\" lastActivatedTime=\"2012-05-18T14:49:05.9685492Z\" />\n    <contentPane name=\"cpLightBoard\" location=\"Floating\" lastFloatingSize=\"391.320334261838,572.301502145923\" lastFloatingWindowRect=\"2324,18,572,NaN\" lastFloatingLocation=\"2324,54.5\" lastActivatedTime=\"2012-05-18T14:48:47.3196845Z\" />\n    <contentPane name=\"cpAnalysisSummary\" location=\"Floating\" lastFloatingSize=\"160.679665738162,284.150751072961\" lastFloatingWindowRect=\"2324,18,572,NaN\" lastFloatingLocation=\"2719.32033426184,342.650751072961\" lastActivatedTime=\"2012-05-18T14:48:47.2956821Z\" />\n    <contentPane name=\"cpDataCharts\" location=\"Document\" lastDockableState=\"Floating\" lastFloatingSize=\"1422,662.5\" lastFloatingWindowRect=\"580,506,1438,759\" lastFloatingLocation=\"580,542.5\" lastActivatedTime=\"2012-05-17T19:58:10.9326301Z\" />\n    <contentPane name=\"cpPlot\" location=\"Floating\" lastFloatingSize=\"160.679665738162,284.150751072961\" lastFloatingWindowRect=\"2324,18,572,NaN\" lastFloatingLocation=\"2719.32033426184,54.5\" lastActivatedTime=\"2012-05-17T19:26:00.4145976Z\" />\n    <contentPane name=\"cpDataSummary\" location=\"Floating\" lastFloatingSize=\"160.679665738162,284.150751072961\" lastFloatingWindowRect=\"2324,18,572,NaN\" lastFloatingLocation=\"2719.32033426184,342.650751072961\" lastActivatedTime=\"2012-05-17T17:53:15.5401658Z\" />\n    <contentPane name=\"cpSiteIssues\" location=\"Floating\" lastFloatingSize=\"556,86.1984978540774\" lastFloatingWindowRect=\"2324,18,572,NaN\" lastFloatingLocation=\"2324,630.801502145923\" lastActivatedTime=\"2012-05-17T17:18:12.0768405Z\" />\n  </contentPanes>\n  <panes>\n    <splitPane name=\"Z549f1785fc774e6883367ffdd6706553\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"2324,18\" floatingSize=\"NaN,NaN\" windowState=\"Maximized\" restoreBounds=\"2308,18,572,759\">\n      <splitPane name=\"Zf43ec63c288b42569c62190b347c358c\" splitterOrientation=\"Horizontal\">\n        <splitPane name=\"Zb3b30e38ecdc4e71a0ee3ea53a4e3393\" splitterOrientation=\"Vertical\" relativeSize=\"100,173.81974248927\">\n          <contentPane name=\"cpLightBoard\" relativeSize=\"141.782729805014,100\" />\n          <splitPane name=\"Z67518185679c4cf284e990d67f51e375\" splitterOrientation=\"Horizontal\" relativeSize=\"58.2172701949861,100\">\n            <contentPane name=\"cpPlot\" />\n            <tabGroup name=\"Z382c904729b043a5af1faef88de44f68\" selectedIndex=\"1\">\n              <contentPane name=\"cpDataSummary\" />\n              <contentPane name=\"cpAnalysisSummary\" />\n            </tabGroup>\n          </splitPane>\n        </splitPane>\n        <contentPane name=\"cpSiteIssues\" relativeSize=\"100,26.1802575107296\" />\n      </splitPane>\n    </splitPane>\n    <splitPane name=\"Zb339b929a1b34cb5af8f748365c5ac4a\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"580,506\" floatingSize=\"1422,722.5\">\n      <contentPane name=\"cpDataCharts\" />\n    </splitPane>\n    <splitPane name=\"Z9970dee19aaf4e6b978180dcf38339e7\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"291,466\" floatingSize=\"1422,342.75\">\n      <contentPane name=\"cpAnalysisCharts\" />\n    </splitPane>\n    <splitPane name=\"Za1eed10c318b44f281f543710ba06049\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"450,73\" floatingSize=\"1422,136.5\">\n      <contentPane name=\"cpIssues\" />\n    </splitPane>\n    <splitPane name=\"Z4edabadf96204c55bd7b17a27b6f0f4c\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"582,199\" floatingSize=\"1422,255.75\">\n      <contentPane name=\"cpDataGrid\" />\n    </splitPane>\n    <splitPane name=\"Z35baa7c5570d4b53b6d4165ba6c16eea\" splitterOrientation=\"Vertical\" location=\"Floating\" floatingLocation=\"481,450\" floatingSize=\"1422,76.5\">\n      <contentPane name=\"cpAnalysisGrid\" />\n    </splitPane>\n  </panes>\n  <documents splitterOrientation=\"Vertical\">\n    <splitPane name=\"Z39b9a76c55a442b09cf76d981279373e\" splitterOrientation=\"Vertical\">\n      <splitPane name=\"Z26fb57c80a604ab3a0b8c3abf01d70e3\" splitterOrientation=\"Horizontal\">\n        <splitPane name=\"Zed248b85e3a8425eaf36c524d24a283f\" splitterOrientation=\"Vertical\" relativeSize=\"100,76.8463073852296\">\n          <tabGroup name=\"Z12527812e043443b95650e298458206d\" selectedIndex=\"0\" relativeSize=\"100,61.144377910845\">\n            <contentPane name=\"cpSites\" />\n            <contentPane name=\"cpIssues\" />\n          </tabGroup>\n          <tabGroup name=\"Z1f637803a64942c6bd06996e431b14e3\" selectedIndex=\"0\">\n            <contentPane name=\"cpDataGrid\" />\n            <contentPane name=\"cpAnalysisGrid\" />\n          </tabGroup>\n        </splitPane>\n        <tabGroup name=\"Z47565e2f8b9e43f6934fe1eb34021193\" selectedIndex=\"1\" relativeSize=\"100,123.15369261477\">\n          <contentPane name=\"cpDataCharts\" />\n          <contentPane name=\"cpAnalysisCharts\" />\n        </tabGroup>\n      </splitPane>\n    </splitPane>\n  </documents>\n</xamDockManager>");
        }
    }
}